Bug Hunting Session
Bug 86696 (mab5.0) - LibreOffice 5.0 most annoying bugs
Summary: LibreOffice 5.0 most annoying bugs
Status: RESOLVED MOVED
Alias: mab5.0
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 87123 88841 89548 89873 90057 90077 90127 90387 90722 90790 91301
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-25 10:14 UTC by Michael Meeks
Modified: 2017-07-23 07:47 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2014-11-25 10:14:30 UTC
This is a meta issue to track the most annoying bugs in LibreOffice 4.4.x releases. It helps developers to focus on bugs that are most critical for users. Also it helps users to be aware of potential problems.

If anyone wants to raise a bug as “most annoying” for the release, please add the ID of that bug to the field “Depends on”, leave a short description of the bug, and explain in few words why that bug should get privileged, for example:

Add bug #XXXXX: Writer ignores page size setting. The default size is Letter. The document format is often broken when printing on A4 paper in Europe.

For details, criteria and further instructions, please see
  http://wiki.documentfoundation.org/Most_Annoying_Bugs
Comment 1 tommy27 2014-11-25 19:14:13 UTC
(In reply to Michael Meeks from comment #0)
> This is a meta issue to track the most annoying bugs in LibreOffice 4.4.x
> releases. 
> ...

Micheal meant the 4.5.x release 
that 4.4.x was just a copy-&-paste error.

anyway please file here only bugs that are specific for the 4.5.x
if the bug is already reproducible in 4.4.x or 4.3.x branches it has to be filed in the correspondent mab lists.
Comment 2 tommy27 2015-03-07 10:52:24 UTC
I add Bug 89873 - UI: some dialog windows broken

it has been already present in february 27th builds and is much worse in the latest march 7th build
Comment 3 Yousuf Philips (jay) (retired) 2015-04-04 06:51:27 UTC
With the new Breeze icons added in 4.5, two bug start center bug reports have arisen.

Bug 90127 - Breeze icons appearing in start center when not set

Bug 90387 - Calc or Writer icons appearing as white and black icons
Comment 4 tommy27 2015-04-08 19:03:00 UTC
LibO 4.5 will be released as 5.0 
edited summary notes
Comment 5 Yousuf Philips (jay) (retired) 2015-04-13 13:05:22 UTC
Bug 90057 - Inserting a media file in impress crashes LO

Bug 90077 - Enabling the media playback toolbar crashes LO
Comment 6 Yousuf Philips (jay) (retired) 2015-04-29 11:55:29 UTC
Bug 90790 - Child icon themes not getting links.txt duplicate records from parent themes
Comment 7 Yousuf Philips (jay) (retired) 2015-05-16 16:13:35 UTC
Bug 90376 - Regression in 5.0 that shows a trail when dragging a toolbar
Comment 8 Yousuf Philips (jay) (retired) 2015-05-16 16:40:52 UTC
Bug 89548 - Regression in 5.0 of sidebar vertical alignment buttons not appearing
Comment 9 Joel Madero 2015-05-25 18:18:55 UTC
Just a heads up - QA is really trying to retire these MAB trackers. I have patched our test instance of bugzilla and now we can lock out users from manipulating priority/severity.

MAB is the *same* as a bug being set to "highest"
Comment 10 tommy27 2015-06-01 20:06:51 UTC
I add Bug 91574 - SLIDESHOW: presenter console not shown and crash on exit
Comment 11 Joel Madero 2015-06-02 00:23:45 UTC
Please remember we are trying to retire MAB - instead we should be setting the bug to highest :)
Comment 12 tommy27 2015-10-18 03:05:12 UTC
Hi all,

The MAB docs on the wiki have been updated to reflect the new
Priority-based system for categorizing bugs:
https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs

The old MAB tracker bugs (mab4.3, mab4.4, etc.) will remain in
Bugzilla for historical reference, but should be ignored for current
work. 

......................

FINAL mab5.0 STATS
......................

fixed bugs -> 11
open bugs  -> 1

......................

for the record, here is the list of the residual open bugs that I'm going to remove from the "Depends on" field: 

Bug 90376 - Dragging toolbar doesn't clean up after itself

I set status to RESOLVED MOVED to reflect the new way to handle Most Annoying Bugs.